import sys


def readlines(filename):
    with open(filename) as file:
        return file.readlines()


def writelines(filename, content):
    with open(filename, 'w') as file:
        file.writelines(content)


def change_pet_population(line):
    """
    Change the content of a line such that:
    - Babies become juveniles
    - Juveniles become adults
    - The new number of babies = 2 * The previous number of adults

    For example:
    Input: dog,3,4,7\n
    Output: dog,14,3,4\n
    """
    animal_type, babies, juveniles, adults = line.strip().split(',')
    if animal_type == "animal":
        return line
    return f"{animal_type},{int(adults) * 2},{babies},{juveniles}\n"


def time_passes_for_store(lines):
    """
    Returns a new list of lines, after one year has passed
    """
    new_lines = []
    for line in lines:
        line = change_pet_population(line)
        new_lines.append(line)
    return new_lines


def main(infile, first_date, second_date):
    original_pop = readlines(infile)

    year1_pop = time_passes_for_store(original_pop)
    writelines(first_date, year1_pop)

    year2_pop = time_passes_for_store(year1_pop)
    writelines(second_date, year2_pop)


if __name__ == '__main__':
    main(sys.argv[1], sys.argv[2], sys.argv[3])